List service accounts for the current org
curl --request GET \
--url https://api.nuon.co/v1/service-accounts \
--header 'Authorization: <api-key>'import requests
url = "https://api.nuon.co/v1/service-accounts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://api.nuon.co/v1/service-accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"created_at": "<string>",
"email": "<string>",
"id": "<string>",
"name": "<string>",
"org_ids": [
"<string>"
],
"permissions": {},
"roles": [
{
"createdBy": "<unknown>",
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"policies": [
{
"created_at": "<string>",
"created_by_id": "<string>",
"id": "<string>",
"permissions": {},
"role_id": "<string>",
"updated_at": "<string>"
}
],
"updated_at": "<string>"
}
],
"subject": "<string>",
"updated_at": "<string>",
"user_journeys": [
{
"name": "<string>",
"steps": [
{
"complete": true,
"completed_at": "<string>",
"completion_method": "<string>",
"completion_source": "<string>",
"metadata": {},
"name": "<string>",
"title": "<string>"
}
],
"title": "<string>"
}
]
}
]{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}{
"description": "<string>",
"error": "<string>",
"user_error": true
}List service accounts for the current org
List the service accounts that belong to the current organization, along with their roles. Supports offset-based pagination.
GET
/
v1
/
service-accounts
List service accounts for the current org
Authorizations
APIKeyOrgID
Type "Bearer" followed by a space and token.
Query Parameters
offset of results to return
limit of results to return
page number of results to return
include service accounts with the runner role (excluded by default)
Response
OK
Available options:
auth, auth0, service, canary, integration ReadOnly Fields
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I